-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans (36) .- Knowledge Base  . 

Apper

   0.8.0  

KDE System Tool

Score 85%
Apper
zoom


Apper
zoom


Apper
zoom


Homepage:  Link
Blog:  Link
Minimum required   KDE 4.x
Downloads:  10020
Submitted:  Jul 7 2008
Updated:  Jan 8 2013

Description:

Apper is the KDE interface for PackageKit (aka KPackageKit)

Apper is able to manage packages, applications and updates in a cross-distribution way thanks to the PackageKit project. Providing Linux users a single application that they can learn and use in whatever distribution they are.

Hope you enjoy Apper, and please report bugs, make wishes so we can improve this application.

BUGS goes to bugs.kde.org

-----------------------------------------------------
IMPORTANT:
Apper itself can do nothing without PackageKit.
So have it installed before.
-----------------------------------------------------

INSTALLATION

Well now that you decide to install it. Be careful :D no warranty is given..

Requirements:
AFTER INSTALLING LOGOUT AND LOGIN SO KDED CAN LOAD THE Apper PLUGIN.
(also, make uninstall #from your old build dir)

PackageKit >= 0.8.5
KDELibs headers of Kde4
KDEWorskpace
KDE >= 4.3

Compiling:
- $ cd Apper # where you extracted it
- $ mkdir build && cd build
- $ cmake .. -DCMAKE_INSTALL_PREFIX=/usr/ # you must install in /usr otherwise KDE won't find it
- $ make
- $ su
- # make install

Enjoy :)




LicenseGPL
(Apper 0.8.0)
Donate
Send to a friend
Subscribe
Other  Apps  from dantti
Report inappropriate content



goto page: prev   1  2  3  4  5  6  7  8  9  10  11  12  13 ...

-

 Translations

 
 by cb400f on: Jan 13 2010
 
Score 50%

Hey, you forgot to notify translators again?

.. guess I'll have to put you back on the list of projects not to be trusted ;-)


Reply to this

-

 Re: Translations

 
 by dantti on: Jan 13 2010
 
Score 50%

... no string changed since the last version, so no need to update anyone, this is bug fix.

BTW last time \i sent a mmail there nobory touched it for 15 days...


Reply to this

-
.

 Download - wrong version

 
 by rgadsdon on: Jan 13 2010
 
Score 50%

The download link still points to version 0.5.2...


Reply to this

-

 Re: Download - wrong version

 
 by dantti on: Jan 13 2010
 
Score 50%

Thanks the uploaded file was too big (forgot to remove build dir..)


Reply to this

-
.

 Installing on Kubuntu 9.10?

 
 by mirzaD on: Jan 13 2010
 
Score 50%

Is there easy an way of upgrading KPackageKit on on Kubuntu 9.10?

deb files or something?

If not, would you recommend compiling from source, anyone successfully done that?


Reply to this

-

 Re: Installing on Kubuntu 9.10?

 
 by KFreakz on: Jan 15 2010
 
Score 50%

e.g ...

yuuki.testing:
https://launchpad.net/~blca/+archive/ppa

yuuki.archived:
https://launchpad.net/~blca/+archive/archive


Reply to this

-

 Re: Re: Installing on Kubuntu 9.10?

 
 by mirzaD on: Jan 15 2010
 
Score 50%

thank you very much, i did not know about this PPA.


Reply to this

-

 Build error..

 
 by VectoR on: Jan 14 2010
 
Score 50%
VectoRVectoR
blackPanther Europe Ltd.
Home
-
Charles Barcza -20

blackPanther Europe Ltd.
United Kingdom, London or Budapest
Last visit Nov 6 2014
0 Friends
1 Groups

More info
Send a message
Add as friend
Other contents
--

Problem with PackageKit-0.6.0:
root/rpmbuild/BUILD/KPackageKit-0.5.3/AddRm/KpkAddRm.cpp: In member function ‘void KpkAddRm::search()’:
/root/rpmbuild/BUILD/KPackageKit-0.5.3/AddRm/KpkAddRm.cpp:367: error: ‘class PackageKit::Client’ has no member named ‘searchName’
/root/rpmbuild/BUILD/KPackageKit-0.5.3/AddRm/KpkAddRm.cpp:371: error: ‘class PackageKit::Client’ has no member named ‘searchFile’
/root/rpmbuild/BUILD/KPackageKit-0.5.3/AddRm/KpkAddRm.cpp:373: error: ‘class PackageKit::Client’ has no member named ‘searchGroup’
[ 58%] Built target kcm_kpk_settings
[ 58%] Generating ui_KpkHistory.h
[ 59%] Generating ui_KpkUpdate.h
[ 60%] Generating ui_KpkUpdateDetails.h
make[2]: *** [AddRm/CMakeFiles/kcm_kpk_addrm.dir/KpkAddRm.o] Error 1
make[1]: *** [AddRm/CMakeFiles/kcm_kpk_addrm.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
Scanning dependencies of target kcm_kpk_update
[ 61%] [...]
Linking CXX shared module ../lib/kcm_kpk_update.so
[ 68%] Built target kcm_kpk_update
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.LqnjHq (%build)


Reply to this

-

 Re: Build error..

 
 by dantti on: Jan 14 2010
 
Score 50%

the rule is simple kpk 0.5 should work with Pk 0.5, Kpk 0.6 (not ready yet) will work with Pk 0.6


Reply to this

-

 Re: Re: Build error..

 
 by beojan on: Jan 14 2010
 
Score 50%

I get the same error with packageKit 0.5.5


Reply to this

-

 Re: Re: Build error..

 
 by VectoR on: Jan 15 2010
 
Score 50%
VectoRVectoR
blackPanther Europe Ltd.
Home
-
Charles Barcza -20

blackPanther Europe Ltd.
United Kingdom, London or Budapest
Last visit Nov 6 2014
0 Friends
1 Groups

More info
Send a message
Add as friend
Other contents
--

Really, build working with 0.5.6, but the automatic update notification is not..


Reply to this

-

 Re: Re: Re: Build error..

 
 by dantti on: Jan 19 2010
 
Score 50%

thanks, fixed in 0.5.4


Reply to this

-
.

 Re: Re: Re: Re: Build error..

 
 by VectoR on: Jan 19 2010
 
Score 50%
VectoRVectoR
blackPanther Europe Ltd.
Home
-
Charles Barcza -20

blackPanther Europe Ltd.
United Kingdom, London or Budapest
Last visit Nov 6 2014
0 Friends
1 Groups

More info
Send a message
Add as friend
Other contents
--

Thank you for your quick work and
can you provide a actually synced pot file in the package?


Reply to this

-
.

 Re: Re: Re: Re: Build error..

 
 by VectoR on: Jan 26 2010
 
Score 50%
VectoRVectoR
blackPanther Europe Ltd.
Home
-
Charles Barcza -20

blackPanther Europe Ltd.
United Kingdom, London or Budapest
Last visit Nov 6 2014
0 Friends
1 Groups

More info
Send a message
Add as friend
Other contents
--

Update notification operates only on the first login only once...:(


Reply to this

-

 KPckageKit crashes in Squeeze

 
 by ranXeron on: Feb 22 2010
 
Score 50%

Hi Daniel,

I learned to appreciate KPackageKit while using Kubuntu.
As I switched back to my favourite distro Debian, I whished to have it back.
So I compiled packagekit-0.5-6 regarding your advices and using the recommeded switches.

The I went on with KPackageKit.
The only difference to you instructions were, that I gave checkinstall instead of make install.

Running KPackageKit from console gievs me the following before it crashes:
----------------------------------------
Failed to initialize the desktop files database
enumFromString ( Action ) : converted "" to "UnknownAction" , enum value 0
enumFromString ( Action ) : converted "" to "UnknownAction" , enum value 0
enumFromString ( Action ) : converted "" to "UnknownAction" , enum value 0
enumFromString ( Group ) : converted "" to "UnknownGroup" , enum value 0
enumFromString ( Filter ) : converted "" to "UnknownFilter" , enum value 1
Error, cannot create transaction proxy
QDBusConnectionPrivate::connectSignal: received error from D-Bus server while connecting signal to PackageKit::TransactionProxy::Changed(): org.freedesktop.DBus.Error.MatchRuleInvalid (Path 'Activation of org.freedesktop.PackageKit timed out' is invalid
----------------------------------

Do you have an idea, what went wrong and how I could fix this ?

Best regards

ranXeron


Reply to this

-

 Re: KPckageKit crashes in Squeeze

 
 by dantti on: Mar 3 2010
 
Score 50%

Your PackageKit is not properly installed, check if the DBus confs are installed on the right places, I develop KPackageKit and aptcc backend on Debian squeeze.


Reply to this

-

 Re: Re: KPckageKit crashes in Squeeze

 
 by ranXeron on: Mar 8 2010
 
Score 50%

yes, you're right !
When i give "pkcon" on the command-line,
I get the error-message:
"Failed to contact PackageKit: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken."

Odd thing is, that there's no proper documentation about how to build packagekit correctly on their site.
... or I was too dumb to find it .... ;-)

Therefore I got no hint, how to go on to get this fixed.

Any help is appreciated

ranX


Reply to this

-

 Re: Re: Re: KPckageKit crashes in Squeeze

 
 by dantti on: Mar 9 2010
 
Score 50%

Right, well the build stuff is quite simple although I must admit could be more detailed, I run the autogen script as follows: ./autogen --enable-gtk-doc --prefix=/home/daniel/code/packagekit/pkbin/ --enable-aptcc --with-default-backend=aptcc --with-security-framework=dummy

Be careful with '--with-security-framework=dummy' cause it will let all users do everything, I use this since we didn't have polkit-kde working with polkit-1 but now I works so you might want to try to remove that.
The --enable-aptcc enables a backend written by me to work with apt (made in c++), but if you prefer you can use the python version (which will be --enable-apt).

hope this helps,
Best.


Reply to this

-

 Re: Re: Re: Re: KPckageKit crashes in Squeeze

 
 by ranXeron on: Mar 10 2010
 
Score 50%

Hello,

thanks for your patience !
As I still didnt't succeed, I'd be glad if you can give me some further assistance.

autogen.sh didn't wok at all as the script complains about - missing target "/m4" file or directory can't be found -
m4 ist installed for sure.
Therefore I switched to configure and gave "./configure --enable-gtk-doc --enable-apt --with-default-backend=apt --with-security-framework=polkit"
I left out the prefix as I wasn't able to start pkcon from the prefixed directory after compiling with this option

Now pkcon gives me "pkcon: error while loading shared libraries: libpackagekit-glib2.so.12: cannot open shared object file: No such file or directory"

Can you give me some advice or do I have to contact the maintainers ?
I'd be happy if you help me avoid "to ride this long trail" ... ;-)


Best Regards

ranX


Reply to this

-

 Re: Re: Re: Re: Re: KPckageKit crashes in Squeeze

 
 by dantti on: Mar 12 2010
 
Score 50%

This happened because packagekit libs were not installed on the right place, that's why I told you to use a local dir for the prefix. After that manually copy the files to the right dirs.
BTW I think it's best to try first with aptcc backend, apt has lots of deps in Debian, which you can try to get them after you are sure PackageKit is working.. (or stick with aptcc :D )


Reply to this

-

 Re: Re: Re: Re: Re: Re: KPckageKit crashes in Sque

 
 by ranXeron on: Mar 16 2010
 
Score 50%

Hello,
just before you wrote this answer I also got to the point, that the ceated files don't go to their correct places.
So I understand the reason for creating them in a separate folder first.

So far I was able, to follow your instructions but then I'm stuck again as I don't know to which path I have to copy the files.

The most obvious way to put them all to /usr didn't do the job as I get "Failed to contact PackageKit: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken." when I call /usr/bin/pkcon

To my opinion this stuff is pretty buggy and uses a lot of patience.
Usually a "make install" should do the job on such a popular distro as Debian.
If it doesn't it ain't even worth to be called "beta".
Especially regarding the fact there's no proper documentation on installing it.

But this isn't to blame on you - I'm gonna open a bug report at their tracker and see if the Packagekit maintainers get it fixed.

Regards

ranX



-

 small bug found

 
 by VectoR on: Mar 13 2010
 
Score 50%
VectoRVectoR
blackPanther Europe Ltd.
Home
-
Charles Barcza -20

blackPanther Europe Ltd.
United Kingdom, London or Budapest
Last visit Nov 6 2014
0 Friends
1 Groups

More info
Send a message
Add as friend
Other contents
--

if kpackagekit window is open and the automatic update finished then the available packages is multi-displayed. Screenshot here: http://www.blackpanther.hu/~vector/shots/multiple_error.jpg


Reply to this

-

 Re: small bug found

 
 by dantti on: Mar 13 2010
 
Score 50%

Hmm I believe that with the coming version (0.6) this is already fixed


Reply to this

goto page: prev   1  2  3  4  5  6  7  8  9  10  11  12  13 ...

Add commentBack






-
-
How do you like Plasma 5?
 The best KDE Desktop ever.
 Definitely a nice improvement.
 Not decided yet. Haven't tried it yet.
 I do not like some of the changes.
 KDE is taking the wrong way.
 I am still sticking with KDE 3.5.
 I have no opinion, but wanted to vote anyway.

resultmore
 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Apps
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
Events RSS   

Participate
Groups
Forum
Add App
Public API
About KDE-Apps.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2003-2014 KDE-Apps.org Team  
All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.